#!/bin/bash
-usage() {
+longusage() {
echo "Gentoo Linux Genkernel ${GK_V}"
echo "Usage: "
echo " genkernel [options] action"
echo " will be included."
}
+usage() {
+ echo "Gentoo Linux Genkernel ${GK_V}"
+ echo "Usage: "
+ echo " genkernel [options] all"
+ echo
+ echo "Some useful options:"
+ echo " --menuconfig Run menuconfig after oldconfig"
+ echo " --no-clean Do not run make clean before compilation"
+ echo " --no-mrproper Do not run make mrproper before compilation"
+ echo
+ echo "For a detailed list of supported options and flags; issue:"
+ echo " genkernel --help"
+}
+
parse_opt() {
case "$1" in
*\=*)
BUILD_KERNEL=1
;;
--help)
- usage
+ longusage
+ exit 1
+ ;;
+ *)
+ echo "Error: Unknown option '$*'!"
exit 1
;;
esac
}
+